"use strict";
const jsxRuntime = require("react/jsx-runtime");
const kit_DocumentCard = require("./DocumentCard.cjs");
const kit_DocumentCards = require("./DocumentCards.cjs");
const RichTextEditor = (props) => {
  if (props.multiple) {
    const { multiple: multiple2, ...documentCardsProps } = props;
    return /* @__PURE__ */ jsxRuntime.jsx(kit_DocumentCards, { ...documentCardsProps });
  }
  const { multiple, docs, onSave, ...documentCardProps } = props;
  return /* @__PURE__ */ jsxRuntime.jsx(kit_DocumentCard, { doc: docs, onSaveDocument: onSave, ...documentCardProps });
};
module.exports = RichTextEditor;
